﻿# The script of the game goes in this file.
define config.layers = ['master', 'transient', 'screens', 'bagscreen', 'overlay']
# Declare characters used by this game. The color argument colorizes the
# name of the character.
define persistent.allimages = {}
define persistent.max_episode = 1

define g = Character("[gg]", color='#ffffff')
define system = Character("system", color='#ffffff')
define e = Character("Emma", color='#ffd400', image='Emma')
define e2 = Character("????", color='#ffd400', image='Emma')
define r  = Character("Rachel", color='#1EFF00FF', image='Rachel')
define r2  = Character("????", color='#1EFF00FF', image='Rachel')
define l  = Character("Linda", color='#ED4800FF', image='Linda')
define me  = Character("Mia", color='#ed1255', image='Mia')
define me2  = Character("???", color='#ed1255', image='Mia')
define w = Character("Wendy", color='#ff0000', image='Wendy')
define s = Character("Sandy", color='#fab8ff', image='Sandy')
define s2 = Character("????", color='#fab8ff', image='Sandy')
define s3 = Character("????", color='#fab8ff')
define cop = Character("Police officer", color='#00CCFF', image='Cop')
define u = Character("????", color='#fab8ff') #unnamed

define lu  = Character("Louise", color='#ED4800FF', image='Louise')

#ep3 npc
define hd = Character("Hot dog master", color='#ff2400', image='Hotdogman') #image='hdman'
define ed = Character("Sabra", color='#6e4318', image='Sabra') #image='ed'
define dlvr = Character("Delivery", color='#ed1255', image='Delivery') #image='dlvr'
define fl = Character("Flo", color='#ed1255', image='Flo') #image='drone'
define cm = Character("Man", color='#000000') #image='none' man in the camp
define pe = Character("Peach", color='#FFFF66', image='Peach') #image='peach' wc woman
define security = Character("Security", color='#FFFF66', image='Security') #image='sec' vip area security
define cel = Character("Celly", color='#fab8ff', image='Cell') #image='peach' wc woman

#family
define st = Character("Stacy", color='#00CCFF', image='Stacy')
    
#ep1-2
image side Rachel = im.Scale("Pics/Rachel.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256))   
image side Emma = im.Scale("Pics/Emma.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Linda = im.Scale("Pics/Linda.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256))  
image side Wendy = im.Scale("Pics/Wendy.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Sandy = im.Scale("Pics/Sandy.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256))  
image side Mia = im.Scale("Pics/Mia.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Cop = im.Scale("Pics/Cop.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
#ep3
image side Hotdogman = im.Scale("Pics/Hotdogman.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Sabra = im.Scale("Pics/Sabra.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Delivery = im.Scale("Pics/Delivery.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Flo = im.Scale("Pics/Flo.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Peach = im.Scale("Pics/Peach.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
image side Security = im.Scale("Pics/Security.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 

image side Louise = im.Scale("Pics/Louise.png", If(renpy.variant("small"),336, 256), If(renpy.variant("small"),336, 256)) 
#Fade(out_time, hold_time, in_time, color="#000")
define fade = Fade(0.5, 0.5, 0.5)
define fadeout = Fade(0.5, 0.5, 0)
define fadehold = Fade(0.5, 1.0, 0.5)

define flash = Fade(0.0, 0.1, 0.5, color="#ffffff")
    
#Episode 1 animations    
image anims1f31c = Animation("/Episode1/s1f31c.jpg", 0.5, "/Episode1/s1f31c2.jpg", 0.5) 
image anims1f67  = Animation("/Episode1/s1f67a.jpg", 0.5, "/Episode1/s1f67.jpg", 1.0)
#image anims1f55f = Animation("/Episode1/s1f55f.jpg", 0.5,"/Episode1/s1f55g.jpg", 0.5)
image anims1f55f:
        "/Episode1/s1f55f.jpg" with dissolve
        1.5
        "/Episode1/s1f55g.jpg" with dissolve 
        1.5
        repeat
#image anims1f55b = Animation("/Episode1/s1f55b.jpg", 0.5,"/Episode1/s1f55a2.jpg", 0.5)
image anims1f55b:
        "/Episode1/s1f55b.jpg" with dissolve
        1.5
        "/Episode1/s1f55a2.jpg" with dissolve 
        1.5
        repeat
image anims1f72a = Animation("/Episode1/s1f72a.jpg", 0.5,"/Episode1/s1f72b.jpg", 0.5)
image anims1f74c = Animation("/Episode1/s1f74c.jpg", 0.5,"/Episode1/s1f74b.jpg", 0.5,"/Episode1/s1f74d.jpg", 0.5,"/Episode1/s1f74b.jpg", 0.5)

#Episode 2 animations
image s2f175a3s2f175a32s2f175a3s2f175a32s2f175a4s2f175a42s2f175a4s2f175a42s2f175as2f175a2s2f175a4s2f175a42s2f175a4s2f175a42 = Animation("/Episode2/s2f175a3.jpg", 0.5, "/Episode2/s2f175a32.jpg", 0.5, "/Episode2/s2f175a3.jpg", 0.5, "/Episode2/s2f175a32.jpg", 0.5, "/Episode2/s2f175a4.jpg", 0.5, "/Episode2/s2f175a42.jpg", 0.5, "/Episode2/s2f175a4.jpg", 0.5, "/Episode2/s2f175a42.jpg", 0.5, "/Episode2/s2f175a.jpg", 0.5, "/Episode2/s2f175a2.jpg", 0.5, "/Episode2/s2f175a4.jpg", 0.5, "/Episode2/s2f175a42.jpg", 0.5, "/Episode2/s2f175a4.jpg", 0.5, "/Episode2/s2f175a42.jpg", 0.5) 
image s2f175c2s2f175d2 = Animation("/Episode2/s2f175c2.jpg", 0.5, "/Episode2/s2f175d2.jpg", 0.5) 
image s2f175cs2f175d = Animation("/Episode2/s2f175c.jpg", 0.5, "/Episode2/s2f175d.jpg", 0.5) 
image s2f175a3s2f175a32s2f175a3s2f175a32s2f175as2f175a2 = Animation("/Episode2/s2f175a3.jpg", 0.5, "/Episode2/s2f175a32.jpg", 0.5, "/Episode2/s2f175a3.jpg", 0.5, "/Episode2/s2f175a32.jpg", 0.5, "/Episode2/s2f175a.jpg", 0.5, "/Episode2/s2f175a2.jpg", 0.5) 
image s2f175as2f175a2 = Animation("/Episode2/s2f175a.jpg", 0.5, "/Episode2/s2f175a2.jpg", 0.5) 
image s2f173cs2f173cs2f173cs2f173f2s2f173f2s2f173f2s2f173f2s2f173fs2f173d = Animation("/Episode2/s2f173c.jpg", 0.5, "/Episode2/s2f173c.jpg", 0.5, "/Episode2/s2f173c.jpg", 0.5, "/Episode2/s2f173f2.jpg", 0.5, "/Episode2/s2f173f2.jpg", 0.5, "/Episode2/s2f173f2.jpg", 0.5, "/Episode2/s2f173f2.jpg", 0.5, "/Episode2/s2f173f.jpg", 0.5, "/Episode2/s2f173d.jpg", 0.5) 
image s2f173cs2f173cs2f173cs2f173ds2f173fs2f173f2s2f173fs2f173d = Animation("/Episode2/s2f173c.jpg", 0.5, "/Episode2/s2f173c.jpg", 0.5, "/Episode2/s2f173c.jpg", 0.5, "/Episode2/s2f173d.jpg", 0.5, "/Episode2/s2f173f.jpg", 0.5, "/Episode2/s2f173f2.jpg", 0.5, "/Episode2/s2f173f.jpg", 0.5, "/Episode2/s2f173d.jpg", 0.5) 
image s2f170s2f170as2f170bs2f170cs2f170ds2f170e = Animation("/Episode2/s2f170.jpg", 0.5, "/Episode2/s2f170a.jpg", 0.5, "/Episode2/s2f170b.jpg", 0.5, "/Episode2/s2f170c.jpg", 0.5, "/Episode2/s2f170d.jpg", 0.5, "/Episode2/s2f170e.jpg", 0.5) 
image s2f144s2f145s2f146s2f147s2f148s2f149 = Animation("/Episode2/s2f144.jpg", 0.5, "/Episode2/s2f145.jpg", 0.5, "/Episode2/s2f146.jpg", 0.5, "/Episode2/s2f147.jpg", 0.5, "/Episode2/s2f148.jpg", 0.5, "/Episode2/s2f149.jpg", 0.5) 
#+++++Episode 3 animations++++++++
image s3s3sexshop08a08b1 = Animation("/Episode3/s3sexshop08a.jpg", 0.5, "/Episode3/s3sexshop08b.jpg", 0.5) 
image s3s3sexshop08a08b2 = Animation("/Episode3/s3sexshop08a.jpg", 0.25, "/Episode3/s3sexshop08b.jpg", 0.25)

image s3animforest21 = Animation("/Episode3/s3forest21a.jpg", 0.5, "/Episode3/s3forest21.jpg", 0.5) 
image s3animforest21p = Animation("/Episode3/s3forest21awithpanty.jpg", 0.5, "/Episode3/s3forest21withpanty.jpg", 0.5) 

image s3animforest20 = Animation("/Episode3/s3forest20a.jpg", 0.5, "/Episode3/s3forest20.jpg", 0.5) 

image s3animvipareago = Animation("/Episode3/anim/s3viparea05_anim1.jpg", 0.2,"/Episode3/anim/s3viparea05_anim2.jpg", 0.2,"/Episode3/anim/s3viparea05_anim3.jpg", 0.2,"/Episode3/anim/s3viparea05_anim4.jpg", 0.2,"/Episode3/anim/s3viparea05_anim5.jpg", 0.2,"/Episode3/anim/s3viparea05_anim6.jpg", 0.2,"/Episode3/anim/s3viparea05_anim7.jpg", 0.2)

image s3animforest09sex:
    "/Episode3/s3forest09sex3.jpg" with dissolve
    0.8
    "/Episode3/s3forest09sex2.jpg" with dissolve
    0.8
    repeat
 
image s3animscene01:
    "/Episode3/s3scene01.jpg" with dissolve
    0.8
    "/Episode3/s3scene01a.jpg" with dissolve
    0.8
    repeat
image s3animscene00:
    "/Episode3/s3scene00.jpg" with dissolve
    0.2
    "/Episode3/s3scene00a.jpg" with dissolve
    0.2
    repeat
 
image s3animetrucks08:
    "/Episode3/s3trucks08a.jpg"
    0.5
    "/Episode3/s3trucks08b.jpg"
    0.5
    repeat

image s3animsexshoptease:
    "/Episode3/s3sexshop18tease2.jpg" with dissolve
    1.0
    "/Episode3/s3sexshop18tease3.jpg" with dissolve
    1.0
    repeat
image s3animsexshoppetsabrapussy:
    "/Episode3/s3sexshop18b.jpg" with dissolve
    1.5
    "/Episode3/s3sexshop18c.jpg" with dissolve
    1.5
    repeat
image s3animsexshopfingersabrapussy:
    "/Episode3/s3sexshop18d2.jpg" with dissolve
    1.0
    "/Episode3/s3sexshop18d3.jpg" with dissolve
    1.0
    repeat
image s3animsexshopfingersabrapussyx2:
    "/Episode3/s3sexshop18d2.jpg" with dissolve
    0.5
    "/Episode3/s3sexshop18d3.jpg" with dissolve
    0.5
    repeat
image s3animsexshopfingersabraanal:
    "/Episode3/s3sexshop18a.jpg" with dissolve
    1.0
    "/Episode3/s3sexshop18a2.jpg" with dissolve
    1.0
    repeat
image s3animsexshopfingersabraanalx2:
    "/Episode3/s3sexshop18a.jpg" with dissolve
    0.5
    "/Episode3/s3sexshop18a2.jpg" with dissolve
    0.5
    repeat
image s3animsexshopfingersabrapussyfuck:
    "/Episode3/s3sexshop18sex2.jpg" with dissolve
    1.0
    "/Episode3/s3sexshop18sex3.jpg" with dissolve
    1.0
    repeat  
image s3animsexshopfingersabrapussyfuckx2:
    "/Episode3/s3sexshop18sex2.jpg"  with dissolve
    0.3
    "/Episode3/s3sexshop18sex3.jpg"  with dissolve
    0.3
    repeat 

image s3animsexshopfingersabraanalfuck:
    "/Episode3/s3sexshop18anal4.jpg" with dissolve
    1.5
    "/Episode3/s3sexshop18anal5.jpg" with dissolve
    1.5
    repeat  
image s3animsexshopfingersabraanalfuckx2:
    "/Episode3/s3sexshop18anal4.jpg" with dissolve
    0.5
    "/Episode3/s3sexshop18anal5.jpg" with dissolve
    0.5
    repeat     
    
image s3animcamp04a:
    "/Episode3/s3camp04.jpg" with dissolve
    0.8
    "/Episode3/s3camp04a.jpg" with dissolve
    0.8
    repeat
image s3animcamp04awithout:
    "/Episode3/s3camp04_without.jpg" with dissolve
    0.8
    "/Episode3/s3camp04a_without.jpg" with dissolve
    0.8
    repeat

image s3animsexshopspank:
    "/Episode3/s3sexshop16.jpg"
    0.15
    "/Episode3/Anim/s3sexshop16a0.png" with Dissolve(0.1)
    0.15
    "/Episode3/Anim/s3sexshop16a1.png" with sshake
    0.2
    "/Episode3/Anim/s3sexshop16a2.png" with Dissolve(0.1)
    0.15
    "/Episode3/Anim/s3sexshop16a3.png" with Dissolve(0.1)
    0.15
    "/Episode3/s3sexshop16.jpg"
    0.15
    
image s3animsexshopspanklash:
    "/Episode3/s3sexshop16.jpg"
    0.15
    "/Episode3/Anim/s3sexshop17a.jpg" with Dissolve(0.1)
    0.15
    "/Episode3/Anim/s3sexshop17b.jpg" with sshake
    0.2
    "/Episode3/s3sexshop16.jpg"
    0.15
#-----Episode 3 animations-------

#+++++Episode 4 anim++++++++++
image s4anim91ab:
    "/Episode4/s4f91a.jpg" with dissolve
    0.8
    "/Episode4/s4f91b.jpg" with dissolve
    0.8
    repeat
    
image s4anim91ab2:
    "/Episode4/s4f91a.jpg" with dissolve
    0.5
    "/Episode4/s4f91b.jpg" with dissolve
    0.5
    repeat
#-----Episdoe 4 anim----------

#+++++Episode 5 anim++++++++++
image s5anim1:
    "/Episode5/s5f19a.jpg"
    3.0
    "/Episode5/s5f19b.jpg"
    3.0
    repeat
image s5anim2:
    "/Episode5/anim/anim_s5f80_00.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_01.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_02.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_03.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_04.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_05.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_06.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_07.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_08.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_09.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_10.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_11.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_12.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_13.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_14.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_15.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_16.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_17.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_18.jpg"
    0.06
    "/Episode5/anim/anim_s5f80_19.jpg"
    0.06
    repeat    
#-----Episdoe 5 anim----------
default rachel_cum_face = False



image phone_driverlicense = im.Scale("images/Pics/driverlicense.png", 1341, 366)


#image ui_phone = Image("gui/button/phone_idle.png") #focus_mask True

default bag_insideArr = []
default bag_specialArr = ["foto", "note","forestmap","deliverygirlphone"]
default bag_combineArr = ["condom"]
default bag_combineList = {"condom":"broken_dick"}



default bag_list = {"condom":"Red condom", 
"broken_dick":"Broken dick", 
"foto":"Camera",
"forestmap":"Tablet with forest map",
"broken_dickcondom":"Broken dick with red condom", 
"note":"Note with numbers",
"dummy_panty":"Dummy's panty",
"camp_panty":"Camp girl's panty",
"dlvr_panty":"Delivery's panty",
"battery":"Battery",
"drone":"Drone's Flo", 
"rachel_panty":"Rachel's panty",
"linda_panty":"Linda's panty",
"box":"Box for Sex Shop",
"deliverygirlphone":"Delivery girl's phone",
"wc_panty":"Glory hole's panty",
"peach_panty":"Peach's panty",
"forest_panty":"Forest girl's panty",
"stick":"Stick",
"tickets":"Festival tickets"}

#default current_bag = None

screen ui_arrow_scr():
    modal True
    tag speedo
    #add "arrow_speed":
    #    rotate 0
    add "speedpanel_idle" xpos 600 ypos 500   
    imagebutton auto "gui/button/Episode2/speedo/accelerate_%s.png" xpos 1550 ypos 400 focus_mask True action If(speedoArrow > 195, Jump("gotoe2s150") ,SetVariable("speedoArrow",speedoArrow+5))
    imagebutton auto "gui/button/Episode2/speedo/brake_%s.png" xpos 1150 ypos 550 focus_mask True action SetVariable("speedoArrow",speedoArrow-2)
    add "gui/button/Episode2/speedo/arrow.png" xpos 630 ypos 510 zoom 0.8 rotate speedoArrow
    timer 0.01 repeat True action [If(speedoArrow < 40,SetVariable("speedoArrow",40), SetVariable("speedoArrow",speedoArrow-0.02)), SetVariable("_time", _time+0.01)]
    
    
    $ timerSpeedoFest = _time;
    $ curtime = math.ceil(3300 - timerSpeedoFest); #3300 - 55min
    $ min = math.floor(curtime/ 60);
    $ sec = curtime - min*60;

    if min < 10:
        $ mintextfest = "0%d"%(int(min))
    else:
        $ mintextfest = "%d"%(int(min))
    if sec < 10:
        $ sectextfest = "0%d"%(int(sec))
    else:
        $ sectextfest = "%d"%(int(sec))
        
    text "Festival open after %s:%s"%(mintextfest, sectextfest) xalign 0.5 ypos 50:
        outlines [ (2, "#000000") ] 
        
    #$ speedoFestKm = speedoFestKm + (speedoArrow)*_time
    $ speedoFestKm += (speedoArrow+40)*0.01/3600;
    $ speedoFestKmLast = (durKm - math.ceil(speedoFestKm * 10) / 10);
    $ timerSpeedoFestKm = (durKm - speedoFestKm) / (speedoArrow)*3600;

    $ hour = math.floor(timerSpeedoFestKm/ 3600);
    $ min =  math.floor((timerSpeedoFestKm-hour*3600)/ 60);
    $ sec = math.ceil(timerSpeedoFestKm) - min*60 - hour*3600;


    $ hourtext = hour;
    if min < 10:
        $ mintextfest = "0%d"%(int(min))
    else:
        $ mintextfest = "%d"%(int(min))
    if sec < 10:
        $ sectextfest = "0%d"%(int(sec))
    else:
        $ sectextfest = "%d"%(int(sec))

    if hour <= 0:
        $ hourtextfest = "";
    else:
        $ hourtextfest = "0%d:"%(hour)
 
    text "You'll be there in %s%s:%s (%s km)"%(hourtextfest, mintextfest,sectextfest,speedoFestKmLast) xalign 0.5 ypos 80:
        outlines [ (2, "#000000") ] 
        
    if speedoFestKmLast <= 0 and curtime > 0:
        $ renpy.jump("gotoe2s190")
    elif curtime <= 0 and timerSpeedoFestKm > 0:
        $ renpy.jump("gotoe2s190failed")

    #add "arrow_rot":
    #    xpos 670 ypos 680
            
screen stats():
    modal True
    tag stats
    text "{u}Stats of Episode %s:{/u}"%(episode_number) xalign 0.5 ypos 200 size 35
    if episode_number == 4:
        $_list_of_char = list_of_char4
    elif episode_number == 5:
        $_list_of_char = list_of_char5
    else:
        $_list_of_char = list_of_char
    vbox:
        xalign 0.5 yalign 0.5
        
        hbox:
            text "Name:" size 16 ypos -10
            text "Open extra scenes/image:" size 16 xpos 100 ypos -10
            text "in this Episode:" size 16 xpos 120 ypos -10  
            #text "in all Episodes:" size 16 xpos 230 ypos -10             
        hbox:
            grid 1 len(_list_of_char):  
                yspacing 10
                xsize 400
                xfill True
                #xminimum 300
                for i in _list_of_char:
                    #style "stats_gr"
                    text "%s "%(list_of_char_names[i])
                    
            grid 3 len(_list_of_char):  
                yspacing 10
                #xsize 5
                #xmaximum 10
                for i in _list_of_char:
                    #style "stats_gr"
                    #text "%s "%(list_of_char_names[i])
                    if i == "cum_loop":
                        text "%s"%(opened_extra_scene_cur[i]) xalign 1.0
                        text "/" xalign 0.5
                        text "?" xalign 0.0
                    else:
                        text "%s"%(opened_extra_scene_cur[i]) xalign 1.0
                        text "/" xalign 0.5
                        text "%s"%(extra_scene_count_cur[i]) xalign 0.0
                    
            # grid 3 len(_list_of_char): 
                # xpos 200
                # yspacing 10
                # #xsize 5
                # #xmaximum 10
                # for i in _list_of_char:
                    # #style "stats_gr"
                    # #text "%s "%(list_of_char_names[i])
                    # text "%s"%(opened_extra_scene[i]) xalign 1.0
                    # text "/" xalign 0.5
                    # text "?" xalign 0.0
                    # #text "%s"%(extra_scene_count[i]) xalign 0.0

#style stats_gr is empty
#inactive
screen stats_ep3_screeen():
    modal True
    tag stats
    text "{u}Stats of Episode %s:{/u}"%(episode_number) xalign 0.5 ypos 200 size 35
    vbox:
        xalign 0.5 yalign 0.5
        
    
        hbox:
            text "Name:" size 16 ypos -10
            text "Open extra event/scenes/image:" size 16 xpos 100 ypos -10
            text "in this Episode:" size 16 xpos 120 ypos -10              
        hbox:
            grid 1 1:#len(list_of_char):  
                yspacing 10
                xsize 400
                xfill True
                
                text "Found panties"
                #for i in list_of_char:
                    #style "stats_gr"
                    #text "%s "%(list_of_char_names[i])
                    
            grid 3 1:#len(list_of_char):  
                yspacing 10
                text "%s"%(countNeedPanty()+1) xalign 1.0
                text "/" xalign 0.5
                text "6" xalign 0.0
                #for i in list_of_char:
                #    text "%s"%(opened_extra_scene_cur[i]) xalign 1.0
                #    text "/" xalign 0.5
                #    text "%s"%(extra_scene_count_cur[i]) xalign 0.0
                    

screen inventary_bag():
    for i in allbuttons:
        if i != "inventary_bag":
            $renpy.hide_screen(i)
    modal True
    tag bag
    style_prefix "inventarybag"
    text "{u}Your bag:{/u}" xalign 0.5 ypos 200 size 35   
    #imagebutton idle "/gui/bg_alpha.png" action Hide("bag")
    imagebutton idle "/gui/bg_alpha.png" action Function(renpy.hide_screen, "inventary_bag", layer="bagscreen")#layer="bagscreen")
    viewport xsize 660:
        xalign 0.5
        ypos 300
        grid 6 4: 
            spacing 10
            for i in range(24):
                add "/gui/bag/inventory_cell_idle.jpg"
        grid 6 4: 
            spacing 10
            for i in range(24):
                if len(bag_insideArr) > i:
                    $ _cur = CurrentCursor()
                    $ _curitem = bag_insideArr[i]
                    $ cmode = CurrentCursor() in bag_combineArr
                    imagebutton idle "/gui/bag/%s_idle.png"%(_curitem) focus_mask True hovered Notify(bag_list.get(_curitem)) action [If(_curitem in bag_specialArr and cmode == False, UseItemInBag(_curitem), If(bag_combineList.get(CurrentCursor()) == _curitem or bag_combineList.get(CurrentCursor()) == "broken_dick",Function(CombineItem,CurrentCursor(),_curitem),Cursor(_curitem))),If(_curitem in bag_combineArr or cmode, [Function(renpy.hide_screen, "inventary_bag", layer="bagscreen"), Show("inventary_bag", _layer="bagscreen"), If(cmode,Cursor(None),None)], Function(renpy.hide_screen, "inventary_bag", layer="bagscreen"))]#[SetVariable("current_bag", _curitem), Cursor(_curitem)]
                else:
                    imagebutton idle "/gui/bag/empty_idle.png" action None
    #hovered Notify(bag_list.get(_curitem))
    
style inventarybag_text:
    outlines gui.choice_button_text_outlines

#++++++++minigames++++++++
#--------minigames--------


#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
init -1:
    $ list_of_char_phone = ["st"]#,"bro","fa")
    $ list_of_char_phone_pic = {"st":"/images/Pics/Stacy.png","bro":"/images/Pics/default_pic.png","fa":"/images/Pics/default_pic.png"}
    $ list_of_char_names_phone = {"st":"Stacy","bro":"Brother","fa":"Father"}
    
    $ sms_list_st = ["st_Hi, honey! I looked for you. Could't find a contact", "st_Coming to us soon:)", "gg_Hi! I'll come! I realy want to see you.","st_Nice [gg]. I'll be waiting for you:)","st_Where are you?","st_Are you coming to us?","gg_Yes, all is well. I will linger a little.","st_I have not seen you for so long","gg_I, too. Maybe take off your photo?","st_Sure!","im_/images/Pics/Stacy.png","st_How do you like me?","gg_Awesome","st_:3"]
    #$ sms_list_count = {"st_current":3,"st_open":4}
    #$ sms_list_st_current = 0 
    $ sms_list_st_open = 0
    python:
        yadjValue = float("inf")
        yadj = ui.adjustment()
#{"st":"Stacy","bro":"Brother","fa":"Father"}
screen uiphone_screen():
    for i in allbuttons:
        if i != "uiphone_screen":
            $renpy.hide_screen(i)
    #zorder 201
    modal True
    tag uiphone
    
    image "/gui/phone_borders.png" xalign 0.5 yalign 1.0
    imagebutton idle "/gui/bg_alpha.png" action Hide("uiphone")
    text "%s"%("contacts").upper() xalign 0.5 ypos 150 color "#000000"
    
    vbox xalign 0.49 ypos 200:
        for i in list_of_char_phone:
            hbox:
                image im.Scale(list_of_char_phone_pic[i],80,80)
                textbutton "%s "%(list_of_char_names_phone[i]) action [Hide("uiphone"), Show("uiphone_screen_contact%s"%(i))] yalign 0.5
                
 
screen uiphone_screen_contactst():
    #zorder 201
    modal True
    tag uiphone
    
    image "/gui/phone_borders.png" xalign 0.5 yalign 1.0
    imagebutton idle "/gui/bg_alpha.png" action Hide("uiphone")
    hbox xalign 0.5 ypos 140:
        text "%s"%(list_of_char_names_phone["st"].upper()) xalign 0.5 xpos 80 color "#000000" size 35
        image im.Scale(list_of_char_phone_pic["st"],60,60) xalign 0.5 xpos -120 ypos -20
    
    if sms_list_st[sms_list_st_open][0:3] == "gg_":
        text "%s"%(sms_list_st[sms_list_st_open][3:len(sms_list_st[sms_list_st_open])]) color "#000000" xpos 750 ypos 900 xsize 300 text_align 1.0
        imagebutton auto "/gui/phone_send_button_%s.png" xalign 0.5 ypos 980 action[SetVariable("sms_list_st_open",sms_list_st_open+1),Hide("uiphone_screen_contactst"),Show("uiphone_screen_contactst")]
    else:
        imagebutton auto "/gui/phone_send_button_%s.png" xalign 0.5 ypos 980 action None
    python:
        yadj.value = yadjValue
    viewport xpos 750 ypos 200 ysize 680 xsize 450:
        yadjustment yadj
        scrollbars "vertical"
        mousewheel True
        draggable True
        vbox xpos 200 ypos 200:
            for i in range(sms_list_st_open):
                if sms_list_st[i][0:3] == "st_":
                    frame:
                        background  "#e6e5ea"
                        ypadding 10
                        ymargin 3
                        xpos 0
                        has hbox:
                            xsize 300  
                            text "%s"%(sms_list_st[i][3:len(sms_list_st[i])]) color "#000000" xsize 300 text_align 0.0
                elif sms_list_st[i][0:3] == "gg_":
                    frame:
                        background  "#63cd49"
                        ypadding 10
                        ymargin 3
                        xpos 120
                        has hbox:
                            xsize 300
                            text "%s"%(sms_list_st[i][3:len(sms_list_st[i])]) color "#ffffff" xsize 300 text_align 1.0
                elif sms_list_st[i][0:3] == "im_":
                    frame:
                        background  "#ffffff"
                        ypadding 10
                        ymargin 3
                        xpos 0
                        has hbox:
                            xsize 300
                            image im.Scale(sms_list_st[i][3:len(sms_list_st[i])],220,220)
    
    
    
#-------------------------------------------------------------------------------------------- 
#style stats_gr:  
    #xfill True
    #xminimum 20
    #ysize 30
                
init -2 python:
    class GetInput(Action):
        def __init__(self,screen_name,input_id):
            self.screen_name=screen_name
            self.input_id=input_id
        def __call__(self):
            if renpy.get_widget(self.screen_name,self.input_id):
                return str(renpy.get_widget(self.screen_name,self.input_id).content)
                
init python:
    import math
    import datetime
    #def change_bg():
    #   return renpy.random.randint(1,10)
    speedoFestKm = 0   
    timerSpeedoFest = 0.0
    timerSpeedoFestKm = 0.0
    durKm = 140
    mintextfest = 0
    sectextfest = 0
    hourtextfest = 0
    mintext = 0
    sectext = 0
    hourtext = 0
    speedoFestKmLast = 0
    hourtextmintext = 0
    _time = 0.0
    speedoArrow = 40
    min = 0
    sec = 0
    hour = 0
    curtime = 0
    #public Text TimerSpeedoFestival;
    #public Text TimerSpeedo;
    
    showbag = False
    showminigamephone = False
    showminigameforestmap = False
    showminigamenote = False
    showminigamefoto = False
    showstats_ep3 = False
    mg_foto = "fr"
    mg_phone_photo_num = 1
    
    class ListRemove(Action):
        def __init__(self, l, value):
             self.list = l
             self.value = value

        def __call__(self):
            self.list.remove(self.value)

        def get_sensitive(self):
            return self.value in self.list
            
    allbuttons = ["uiphone_screen","inventary_bag"]#["uiphone","bag"]
    def uibuttons():
        
        ui.imagebutton("phone_idle", "phone_hover",clicked=Show("uiphone_screen"), xalign=1.0, yalign=0.0, focus_mask=True)
        #ui.imagebutton("phone_idle", "phone_hover",clicked=SetVariable("sabraorgasmometr_ep3", True), xalign=1.0, yalign=0.0, focus_mask=True)
        ui.imagebutton("bag_idle", "bag_hover",clicked=If(CheckCursor(None), [SetVariable("showbag", True),Hide("minigame")],[Cursor(None),SetVariable("showbag",False)]), xalign=0.9, yalign=0.0, focus_mask=True)
    config.overlay_functions.append(uibuttons)

    #+++++++++++
    
    def inventary_bagfunc():
        if showbag == True:
            for i in allbuttons:
                if i != "inventary_bag":
                    renpy.hide_screen(i)

            ui.text("{u}Your bag:{/u}", xalign=0.5, ypos=200, size=35)   
            #imagebutton idle "/gui/bg_alpha.png" action Hide("bag")
            ui.imagebutton("/gui/bg_alpha.png", clicked=SetVariable("showbag",False))#layer="bagscreen")
            ui.viewport(xalign=0.5,ypos=300,xsize=660)
            ui.grid(6, 4,spacing=10)   
            for i in range(24):
                ui.image("/gui/bag/inventory_cell_idle.jpg")
            ui.close()
            ui.viewport(xalign=0.5,ypos=300,xsize=660)
            ui.grid(6, 4,spacing=10)
            for i in range(24):
                if len(bag_insideArr) > i:
                    _cur = CurrentCursor()
                    _curitem = bag_insideArr[i]
                    cmode = CurrentCursor() in bag_combineArr
                    ui.imagebutton("/gui/bag/%s_idle.png"%(_curitem), hovered=Notify(bag_list.get(_curitem)), clicked=[If(_curitem in bag_specialArr and cmode == False, SetVariable(useItemInBag(_curitem),True), If(bag_combineList.get(CurrentCursor()) == _curitem or bag_combineList.get(CurrentCursor()) == "broken_dick",Function(CombineItem,CurrentCursor(),_curitem),Cursor(_curitem))),If(_curitem in bag_combineArr or cmode, [SetVariable("showbag", False), SetVariable("showbag", True), If(cmode,Cursor(None),None)], SetVariable("showbag", False))], focus_mask=True)
                    #ui.imagebutton("/gui/bag/%s_idle.png"%(_curitem), hovered=Notify(bag_list.get(_curitem)), clicked=If(_curitem in bag_specialArr and cmode == False, SetVariable(useItemInBag(_curitem),True), Notify("lox")), focus_mask=True)
                else:
                    ui.imagebutton("/gui/bag/empty_idle.png", clicked=None)
            ui.close()
    config.overlay_functions.append(inventary_bagfunc)
    
    
    def minigame_phonefunc():
        if showminigamephone == True:   
            if mg_phone_unlocked == False:
                ui.image("/Maps/Map_ep3/phone_bg.png")
                ui.text("Enter the passcode to unlock the phone", xalign=0.52, ypos=250, xmaximum=500)
                ui.hbox(xalign=0.51,ypos=450) 
                ui.text("{u}%s{/u}"%(mg_phone_num1), kerning=15, size=46, color=mg_phone_color)
                ui.text("{u}%s{/u}"%(mg_phone_num2), kerning=15, size=46, color=mg_phone_color)
                ui.text("{u}%s{/u}"%(mg_phone_num3), kerning=15, size=46, color=mg_phone_color)
                ui.text("{u}%s{/u}"%(mg_phone_num4), kerning=15, size=46, color=mg_phone_color)
                ui.close()
                if renpy.variant("small") == False:
                    for i in range(10):
                        ui.imagebutton("/Maps/Map_ep3/phone_but%s.png"%(i), focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",i), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",i), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",i), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",i), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and i == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",i),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                else:
                    #921  1060
                    #749
                    ui.imagebutton("/Maps/Map_ep3/phone_but1small.png",xpos=782,ypos=669, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",1), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",1), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",1), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",1), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 1 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",1),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but2small.png",xpos=921,ypos=669, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",2), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",2), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",2), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",2), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 2 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",2),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but3small.png",xpos=1060,ypos=669, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",3), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",3), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",3), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",3), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 3 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",3),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but4small.png",xpos=782,ypos=749, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",4), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",4), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",4), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",4), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 4 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",4),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but5small.png",xpos=921,ypos=749, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",5), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",5), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",5), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",5), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 5 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",5),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but6small.png",xpos=1060,ypos=749, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",6), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",6), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",6), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",6), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 6 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",6),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but7small.png",xpos=782,ypos=829, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",7), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",7), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",7), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",7), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 7 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",7),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but8small.png",xpos=921,ypos=829, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",8), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",8), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",8), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",8), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 8 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",8),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but9small.png",xpos=1060,ypos=829, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",9), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",9), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",9), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",9), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 9 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",9),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    ui.imagebutton("/Maps/Map_ep3/phone_but0small.png",xpos=921,ypos=909, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",0), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",0), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",0), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",0), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and 0 == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",0),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
                    
                    #ui.imagebutton("/Maps/Map_ep3/phone_but%ssmall.png"%(i),xpos=782+139*(i%3),ypos=669+80*i, focus_mask=True, clicked=If(mg_phone_num1 == "_", SetVariable("mg_phone_num1",i), If(mg_phone_num2 == "_", SetVariable("mg_phone_num2",i), If(mg_phone_num3 == "_", SetVariable("mg_phone_num3",i), If(mg_phone_num4 == "_", [SetVariable("mg_phone_num4",i), If(mg_phone_num1 == 4 and mg_phone_num2 == 8 and mg_phone_num3 == 9 and i == 2, SetVariable("mg_phone_unlocked",True),SetVariable("mg_phone_color","#FF0000"))],[SetVariable("mg_phone_color","#000000"),SetVariable("mg_phone_num1",i),SetVariable("mg_phone_num2","_"),SetVariable("mg_phone_num3","_"),SetVariable("mg_phone_num4","_")]))))) 
            else:
                ui.imagebutton("/Maps/Map_ep3/dlvr_phone_photo%s.png"%(mg_phone_photo_num),focus_mask=True, clicked=If(mg_phone_photo_num>=4,SetVariable("mg_phone_photo_num",1),SetVariable("mg_phone_photo_num",mg_phone_photo_num+1)))
            
            ui.image("/Maps/Map_ep3/phone.png")
            
            if renpy.variant("small") == False:
                ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle.png","/Maps/Map_ep3/icon_map_back_hover.png", focus_mask=True, clicked=[SetVariable("showminigamephone",False),SetVariable("showbag", True)])
            else:
                ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle_small.png",xpos=42,ypos=16, focus_mask=True, clicked=[SetVariable("showminigamephone",False),SetVariable("showbag", True)])
    config.overlay_functions.append(minigame_phonefunc)
    
    def minigame_forestmapfunc():
        if showminigameforestmap == True:
            ui.image("/Maps/Map_ep3/forestmap.jpg")
            ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle.png","/Maps/Map_ep3/icon_map_back_hover.png", focus_mask=True, clicked=[SetVariable("showminigameforestmap",False),SetVariable("showbag", True)])
    config.overlay_functions.append(minigame_forestmapfunc)
    def minigame_notefunc():
        if showminigamenote == True:
            ui.image("/Maps/Map_ep3/note.jpg")
            ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle.png","/Maps/Map_ep3/icon_map_back_hover.png", focus_mask=True, clicked=[SetVariable("showminigamenote",False),SetVariable("showbag", True)])
    config.overlay_functions.append(minigame_notefunc)
  
    def minigame_foto_screenfunc():
        if showminigamefoto == True:
            ui.image("/Maps/Map_ep3/Camp/minigame_foto_bg.jpg")
            #ui.imagebutton("/Maps/Map_ep3/icon_map_idle.png","/Maps/Map_ep3/icon_map_hover.png", focus_mask=True, clicked= Jump("ep3_map"))
            ui.image("/Maps/Map_ep3/Camp/foto_%s.png"%(mg_foto))
            
            if renpy.variant("small") == False:
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_up_idle.png","/Maps/Map_ep3/Camp/foto_arrow_up_hover.png", focus_mask=True, clicked=If(mg_foto == "rt", SetVariable("mg_foto", "top"), If(mg_foto == "top", SetVariable("mg_foto", "down"), If(mg_foto == "down", SetVariable("mg_foto", "rt"), None))))
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_down_idle.png","/Maps/Map_ep3/Camp/foto_arrow_down_hover.png", focus_mask=True, clicked=If(mg_foto == "rt", SetVariable("mg_foto", "down"), If(mg_foto == "down", SetVariable("mg_foto", "top"), If(mg_foto == "top", SetVariable("mg_foto", "rt"), None))))
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_left_idle.png", "/Maps/Map_ep3/Camp/foto_arrow_left_hover.png",focus_mask=True, clicked=If(mg_foto == "fr", SetVariable("mg_foto", "rt"), If(mg_foto == "rt", SetVariable("mg_foto", "bk"), If(mg_foto == "bk", SetVariable("mg_foto", "lt"), If(mg_foto == "lt", SetVariable("mg_foto", "fr"), None)))))
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_right_idle.png", "/Maps/Map_ep3/Camp/foto_arrow_right_hover.png",focus_mask=True, clicked=If(mg_foto == "fr", SetVariable("mg_foto", "lt"), If(mg_foto == "lt", SetVariable("mg_foto", "bk"), If(mg_foto == "bk", SetVariable("mg_foto", "rt"), If(mg_foto == "rt", SetVariable("mg_foto", "fr"), None)))))
                if mg_foto == "down":
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down_idle.png", "/Maps/Map_ep3/Camp/foto_down_hover.png",focus_mask=True, clicked=SetVariable("mg_foto", "down2"))
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down2_idle.png","/Maps/Map_ep3/Camp/foto_down2_hover.png", focus_mask=True, clicked=Notify("It's locked"))
                elif mg_foto == "down2":
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down2_idle.png", "/Maps/Map_ep3/Camp/foto_down2_hover.png",focus_mask=True, clicked=SetVariable("mg_foto", "down3"))
                elif mg_foto == "down3":
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down3_idle.png", "/Maps/Map_ep3/Camp/foto_down3_hover.png",focus_mask=True, clicked=[renpy.choice_for_skipping(),addInBag("battery", "*You get a battery*"),RemoveItem("foto"),SetVariable("showminigamefoto",False),SetVariable("mg_battery_found",True),SetVariable("showbag", True)])#,If("foto" in bag_insideArr,bag_insideArr.remove("foto"), None),renpy.block_rollback()])
            else:
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_up_idle_small.png",xpos=922,ypos=26, focus_mask=True, clicked=If(mg_foto == "rt", SetVariable("mg_foto", "top"), If(mg_foto == "top", SetVariable("mg_foto", "down"), If(mg_foto == "down", SetVariable("mg_foto", "rt"), None))))
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_down_idle_small.png",xpos=925,ypos=925, focus_mask=True, clicked=If(mg_foto == "rt", SetVariable("mg_foto", "down"), If(mg_foto == "down", SetVariable("mg_foto", "top"), If(mg_foto == "top", SetVariable("mg_foto", "rt"), None))))
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_left_idle_small.png",xpos=17,ypos=472, focus_mask=True, clicked=If(mg_foto == "fr", SetVariable("mg_foto", "rt"), If(mg_foto == "rt", SetVariable("mg_foto", "bk"), If(mg_foto == "bk", SetVariable("mg_foto", "lt"), If(mg_foto == "lt", SetVariable("mg_foto", "fr"), None)))))
                ui.imagebutton("/Maps/Map_ep3/Camp/foto_arrow_right_idle_small.png",xpos=1762,ypos=483, focus_mask=True, clicked=If(mg_foto == "fr", SetVariable("mg_foto", "lt"), If(mg_foto == "lt", SetVariable("mg_foto", "bk"), If(mg_foto == "bk", SetVariable("mg_foto", "rt"), If(mg_foto == "rt", SetVariable("mg_foto", "fr"), None)))))
                if mg_foto == "down":
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down_idle_small.png",xpos=1145,ypos=928, focus_mask=True, clicked=SetVariable("mg_foto", "down2"))
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down2_idle_small.png",xpos=1070,ypos=689, focus_mask=True, clicked=Notify("It's locked"))
                elif mg_foto == "down2":
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down2_idle_small.png",xpos=1070,ypos=689, focus_mask=True, clicked=SetVariable("mg_foto", "down3"))
                elif mg_foto == "down3":
                    ui.imagebutton("/Maps/Map_ep3/Camp/foto_down3_idle_small.png",xpos=1151,ypos=704, focus_mask=True, clicked=[renpy.choice_for_skipping(),addInBag("battery", "*You get a battery*"),RemoveItem("foto"),SetVariable("showminigamefoto",False),SetVariable("mg_battery_found",True),SetVariable("showbag", True)])#,If("foto" in bag_insideArr,bag_insideArr.remove("foto"), None),renpy.block_rollback()])
           
                    
                    
            if renpy.variant("small") == False:
                ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle.png","/Maps/Map_ep3/icon_map_back_hover.png", focus_mask=True, clicked=[SetVariable("showminigamefoto",False),SetVariable("showbag", True)])
            else:
                ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle_small.png",xpos=42,ypos=16, focus_mask=True, clicked=[SetVariable("showminigamefoto",False),SetVariable("showbag", True)])
            #imagebutton idle "/Maps/Map_ep3/icon_map_back_idle_small.png" xpos 42 ypos 16  focus_mask True action Jump("ep3_sexshop")
    config.overlay_functions.append(minigame_foto_screenfunc)
    
    def stats_ep3():
        if showstats_ep3 == True:
            list_of_value_stats_ep3["pf"] = If(ep3_getpanty0r != "c",1,0)+If(ep3_getpanty0l != "c",1,0)+If(ep3_getpanty1 != "c",1,0)+If(ep3_getpanty2 != "c",1,0)+If(ep3_getpanty3 != "c",1,0)+If(ep3_getpanty4 != "c",1,0)+If(ep3_getpanty5 != "c",1,0)+If(ep3_getpanty6 != "c",1,0) #countNeedPanty()-1
            list_of_value_of_stats_ep3["pf"] = 8
            list_of_value_stats_ep3["if"] = ep3_found_items
            list_of_value_of_stats_ep3["if"] = len(bag_list)
            list_of_value_stats_ep3["up"] = If(mg_phone_unlocked == True,"X","-")
            list_of_value_of_stats_ep3["up"] = "X"
            list_of_value_stats_ep3["b"] = If(mg_battery_found == True,"X","-")
            list_of_value_of_stats_ep3["b"] = "X"
            list_of_value_stats_ep3["tickets"] = If(ep3_getfestivaltickets == True,"X","-")
            
            list_of_value_stats_ep3["sabraorgasm"] = ep3_sabra_get_orgasm
            #$ ep3_sabra_get_orgasm = 0
            #unlocked images
            _allimg = 0
            _allopenimg = 0
            keylist = persistent.allimages.keys()
            for img in keylist:
                if img.startswith("s3"):
                    _allimg+=1
                    if persistent.allimages.get(img) == "Yes":
                        _allopenimg += 1
                        
            list_of_value_stats_ep3["ui"] = _allopenimg
            list_of_value_of_stats_ep3["ui"] = _allimg 
            #list_of_value_stats_ep3["sabra"] = 
            list_of_value_of_stats_ep3["sabra"] = 8      
            list_of_value_of_stats_ep3["w"] = 3
            list_of_value_of_stats_ep3["camp_girl"] = 2
            list_of_value_of_stats_ep3["main_event"] = 34 #+1 ep3_dumy_show == True + 1 ep3_forest_pathLopen + 1 ep3_forest_pathRopen + 1 ep3_scene_show
            list_of_value_of_stats_ep3["dlvr"] = 9
            
            ui.text("{u}Stats of Episode %s:{/u}"%(episode_number), xalign=0.5, ypos=100, size=35, outlines=[ (2, "#000000") ] )
            ui.vbox(xalign=0.4, ypos=150)
            ui.hbox()
            ui.text("Event/item/var:", size=16, color="#00BFFF", outlines=[ (2, "#000") ] )
            ui.text("Unlocked / All:", size=16, xpos=400, color="#00BFFF", outlines=[ (2, "#000") ] ) 
            ui.close()
            ui.hbox()
            ui.grid(1, len(list_of_stats_ep3),yspacing=10,xsize=400,xfill=True)#:#len(list_of_char):  
            for i in list_of_stats_ep3:
                if renpy.variant("small") == False:
                    ui.text("%s "%(list_of_names_stats_ep3[i]), outlines=[ (2, "#000000") ] )
                else:
                    ui.text("%s "%(list_of_names_stats_ep3[i]),size=29, outlines=[ (2, "#000000") ] )
                
            ui.close()
            ui.grid(3, len(list_of_stats_ep3),yspacing=10, xpos=120)
            for i in list_of_stats_ep3:
                if renpy.variant("small") == False:
                    ui.text("%s "%(list_of_value_stats_ep3[i]), xalign=1.0, outlines=[ (2, "#000000") ] )
                    ui.text("/", xalign=0.5, outlines=[ (2, "#000000") ] )
                    ui.text("%s "%(list_of_value_of_stats_ep3[i]), xalign=0.0, outlines=[ (2, "#000000") ] )
                else:
                    ui.text("%s "%(list_of_value_stats_ep3[i]),size=29 ,xalign=1.0, outlines=[ (2, "#000000") ] )
                    ui.text("/",size=29, xalign=0.5, outlines=[ (2, "#000000") ] )
                    ui.text("%s "%(list_of_value_of_stats_ep3[i]),size=29, xalign=0.0, outlines=[ (2, "#000000") ] )
                    
            ui.close()
            ui.close()
            ui.close()
            #ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle.png","/Maps/Map_ep3/icon_map_back_hover.png", focus_mask=True, clicked=SetVariable("showstats_ep3",False))
    config.overlay_functions.append(stats_ep3)
    
    def ep3_sabraorgasmometr():
        if sabraorgasmometr_ep3 == True:
            
            if ep3_sabra_get_orgasm < 5:
                global ep3_sabra_counter
                if ep3_sabra_get_orgasm < 2:
                    ep3_sabra_counter = 10*abs(math.sin(ep3_sabra_counterSplash))+10*abs(math.sin(ep3_sabra_counterLash))+30*abs(math.sin(ep3_sabra_counterFuckPussy))+30*abs(math.sin(ep3_sabra_counterFuckAnal))+20*abs(math.sin(ep3_sabra_counterLickPussy))+20*abs(math.sin(ep3_sabra_counterLickAnal))+15*abs(math.sin(ep3_sabra_counterFingerPussy))+15*abs(math.sin(ep3_sabra_counterFingerAnal))+10*abs(math.sin(ep3_sabra_counterPet))
                elif ep3_sabra_get_orgasm == 2:
                    ep3_sabra_counter = 5*abs(math.sin(ep3_sabra_counterSplash))+0*abs(math.sin(ep3_sabra_counterLash))+50*abs(math.sin(ep3_sabra_counterFuckPussy))+0*abs(math.sin(ep3_sabra_counterFuckAnal))+30*abs(math.sin(ep3_sabra_counterLickPussy))+0*abs(math.sin(ep3_sabra_counterLickAnal))+25*abs(math.sin(ep3_sabra_counterFingerPussy))+0*abs(math.sin(ep3_sabra_counterFingerAnal))+20*abs(math.sin(ep3_sabra_counterPet))
                elif ep3_sabra_get_orgasm == 3:
                    ep3_sabra_counter = 5*abs(math.sin(ep3_sabra_counterSplash))+0*abs(math.sin(ep3_sabra_counterLash))+0*abs(math.sin(ep3_sabra_counterFuckPussy))+50*abs(math.sin(ep3_sabra_counterFuckAnal))+0*abs(math.sin(ep3_sabra_counterLickPussy))+30*abs(math.sin(ep3_sabra_counterLickAnal))+0*abs(math.sin(ep3_sabra_counterFingerPussy))+10*abs(math.sin(ep3_sabra_counterFingerAnal))+20*abs(math.sin(ep3_sabra_counterPet))
                else:
                    ep3_sabra_counter = 7*abs(math.sin(ep3_sabra_counterSplash))+7*abs(math.sin(ep3_sabra_counterLash))+20*abs(math.sin(ep3_sabra_counterFuckPussy))+20*abs(math.sin(ep3_sabra_counterFuckAnal))+7*abs(math.sin(ep3_sabra_counterLickPussy))+10*abs(math.sin(ep3_sabra_counterLickAnal))+10*abs(math.sin(ep3_sabra_counterFingerPussy))+15*abs(math.sin(ep3_sabra_counterFingerAnal))+50*abs(math.sin(ep3_sabra_counterPet))
              

                if ep3_sabra_counter >= 100:
                    ep3_sabra_counter = 0
                    ui.close()
                    renpy.jump("s3sexshop_sabra_get_orgasm")
                else:
                    ui.vbox(xsize=20, ysize = 300, xalign=0.8, yalign = 0.4)
                    ui.text("Orgasmometr: ", xalign=0.5)
                    ui.vbar (100, ep3_sabra_counter, xalign=0.5)
                    ui.text("%s/5"%(ep3_sabra_get_orgasm), xalign=0.5)
                    ui.close()
            else:
                ui.vbox(xsize=400, ysize = 300, xalign=0.9, yalign = 0.4)
                ui.text("Sabra is completely satisfied. Cum and get out of here", xalign=0.5)
                ui.close()
            #ui.imagebutton("/Maps/Map_ep3/icon_map_back_idle.png","/Maps/Map_ep3/icon_map_back_hover.png", focus_mask=True, clicked=SetVariable("sabraorgasmometr_ep3",False))
    config.overlay_functions.append(ep3_sabraorgasmometr)
    #$ ep3_sabra_counter = 0
    #-----------
    
    persistent.game_last_time = datetime.datetime.now()
    if persistent.gametime is None:
        persistent.gametime = 0
    def show_gametime(st, at):
        t = datetime.datetime.now()
        dt = t - persistent.game_last_time
        persistent.game_last_time = t
        persistent.gametime += dt.total_seconds()
        minutes, seconds = divmod(int(persistent.gametime), 60)
        hours, minutes = divmod(minutes, 60)
        global speedoFestKm
        img = Text("%0*d  %0*d:%0*d:%0*d" % (3,speedoFestKm, 2, hours, 2, minutes, 2, seconds))
        return img, .1
    
    path_image = ""    
    current_gallery = 1
    def defImages(iDir, exDir=0):
        #persistent.allimages = {}
        iDir = iDir.strip("/") + "/"
        for iPath in renpy.list_files():
            if iPath.startswith(iDir+"Episode"):
                if (iPath.lower()).endswith(".png") or (iPath.lower()).endswith(".jpg"):
                    pList = ("/".join((iPath.lower()).split())).split("/")
                    pList[-1] = os.path.splitext(pList[-1])[0]
                    pList = tuple(pList[exDir:])
                    if persistent.allimages.get(pList[-1]) != "Yes": #pList[-1]
                        #persistent.allimages.update(pList, iPath)
                        persistent.allimages[pList[-1]] = "No" #pList[-1]

    #if len(persistent.allimages) == 0:
    defImages("/images/", 1)
    
    def cursor(name = None):
        if name:
            config.mouse = {'default' : [('images/Cursors/cursor_' + name + '.png', 0, 0)]}
        else:
            config.mouse = None
    Cursor = renpy.curry(cursor)
    
    def CheckCursor(name = None):
        t = False
        if config.mouse != None:
            if name != None:
                t = config.mouse["default"][0][0] == 'images/Cursors/cursor_' + name + '.png'
        elif config.mouse == None and name == None:
            t = True
        return t
    
    def CurrentCursor():
        t = ""
        if config.mouse != None:
            t = config.mouse["default"][0][0]
            t = t.replace('images/Cursors/cursor_', '') 
            t = t.replace('.png', '') 
        return t
    
    def CombineItem(item1, item2):
        if item1 == "condom" and item2 == "broken_dick":
            bag_insideArr.remove("condom")
            bag_insideArr.remove("broken_dick")
            bag_insideArr.append("broken_dickcondom")
            renpy.show_screen("inventary_bag", _layer="bagscreen")#Show("inventary_bag", _layer="bagscreen")
            cursor(None)
        else:
            renpy.notify("You can not do it")

    
    def addInBag(item = None, _notify = None):
        global ep3_found_items
        if item not in bag_insideArr:
            bag_insideArr.append(item)
            ep3_found_items += 1
            renpy.notify(_notify)
    AddInBag = renpy.curry(addInBag)
    
    def removeItem(item):
        if item in bag_insideArr:
            bag_insideArr.remove(item)
    RemoveItem = renpy.curry(removeItem)
    
    def countNeedPanty():
        t = 0
        if ep3_getpanty1 != "f":
            t += 1
        if ep3_getpanty2 != "f":
            t += 1
        if ep3_getpanty3 != "f":
            t += 1
        if ep3_getpanty4 != "f":
            t += 1
        if ep3_getpanty5 != "f":
            t += 1
        if ep3_getpanty6 != "f":
            t += 1
        return t-1
    CountNeedPanty = renpy.curry(countNeedPanty)
    
    def useItemInBag(item):
        if item == "foto":
            return "showminigamefoto"
        elif item == "note":
            #showminigamenote = True
            return "showminigamenote"
        elif item == "forestmap":
            #showminigameforestmap=True
            return "showminigameforestmap"
        elif item == "deliverygirlphone":
            #showminigamephone=True
            return "showminigamephone"
        else:
            return None
    UseItemInBag = renpy.curry(useItemInBag)
    
    
    def forestWalking(curpos, d):
        nextpos = 0
        #left pass
        if curpos == 0 and d == "l":
            nextpos = 1
        if curpos == 1 and d == "l":
            nextpos = 0
        if curpos == 1 and d == "r":
            nextpos = 2
        if curpos == 2 and d == "l":
            nextpos = 0
        if curpos == 2 and d == "r":
            nextpos = 3
        if curpos == 3 and d == "r":
            nextpos = 0
        if curpos == 3 and d == "l":
            nextpos = 4
        if curpos == 4 and d == "l":
            nextpos = 0
        if curpos == 4 and d == "r":
            nextpos = 5
        #right pass    
        if curpos == 0 and d == "r":
            nextpos = 6
        if curpos == 6 and d == "l":
            nextpos = 0
        if curpos == 6 and d == "r":
            nextpos = 7
        if curpos == 7 and d == "r":
            nextpos = 0
        if curpos == 7 and d == "l":
            nextpos = 8
        if curpos == 8 and d == "l":
            nextpos = 0
        if curpos == 8 and d == "r":
            nextpos = 9
        return nextpos
    ForestWalking = renpy.curry(forestWalking)
#renpy.say(None, "This feature will be available in the Episode 3 (phone).")   

 
# The game starts here.
init:
    $ episode_number = 0
    $ events_type = ( "c", "o", "f" ) #"closed", "open", "finished"
    #++++++++ui buttons
    image phone_idle:    
        "gui/button/phone_idle.png"
        zoom 0.6
    image phone_hover:
        "gui/button/phone_hover.png"
        zoom 0.6  
    image bag_idle:    
        "gui/button/bag_idle.png"
        zoom 0.6
    image bag_hover:
        "gui/button/bag_hover.png"
        zoom 0.6 
    image answer_map_idle:
        "gui/button/answer_map_idle.png"
        zoom 0.6
    image answer_map_hover:
        "gui/button/answer_map_idle.png"
        zoom 0.7  
    $ uiphone_labelname = ""
    #++++Episode 2--
    image speedpanel_idle:
        "gui/button/Episode2/speedo/speedpanel.png"
        zoom 0.7
    image arrow_idle:
        "gui/button/Episode2/speedo/arrow.png"
        zoom 0.7  
    #image arrow_speed = DynamicDisplayable(show_gametime)
    #image arrow_rot = At("gui/button/Episode2/speedo/arrow.png", arrow_transform)
    #image arrow_rot:
    #    "gui/button/Episode2/speedo/arrow.png"
    
    $ timerSpeedoFest = 0
    #text TimerSpeedoFestival = ""
    #text TimerSpeedo = ""
    #$ speedoFestKm = 0
    $ timerSpeedoFestKm = 0
    #---------------
    #---------ui buttons
    #episode3
    
    image camp_condom:
        "images/Maps/Map_ep3/Camp/camp_condom.png"

    transform uizoom:
        zoom 0.8
    
    $ answ = 0;
    $ ratingme = 0
    
    $ rating_w_and_s = 0
    
    $ is_speedo = True
    
    $ list_of_char = ("me","r","l","e","w","s","cop")
    $ list_of_char_names = {"me":"Mia","r":"Rachel","l":"Linda","e":"Emma","w":"Wendy","s":"Sandy","cop":"Police officer","extra":"Another events", "lu":"Louise", "test":"Psychological test", "cum_loop":"Cum counter", "anim":"Animations"}
    $ list_of_char4 = ("r","l","e","extra")
    $ list_of_char5 = ("r","l","e","lu", "test","extra", "cum_loop", "anim")
    $_list_of_char = ()
    
    #current
    #++++++add new ch
    $ opened_extra_scene_cur = {"me": 0, "r": 0, "l": 0, "e": 0, "w": 0,"s": 0,"cop": 0,"extra":0, "lu":0, "test":0, "cum_loop":0, "anim":0}
    
    #------add new ch
    $ extra_scene_count_cur = {"me": 0, "r": 0, "l": 0, "e": 0, "w": 0,"s": 0,"cop": 0,"extra":0, "lu":0, "test":0, "cum_loop":0, "anim":0}
    
    
    $ opened_extra_scene = {"me": 0, "r": 0, "l": 0, "e": 0, "w": 0,"s": 0,"cop": 0,"extra":0, "lu":0, "test":0, "cum_loop":0, "anim":0}
    $ extra_scene_count = {"me": 0, "r": 0, "l": 0, "e": 0, "w": 0,"s": 0,"cop": 0,"extra":0, "lu":0, "test":0, "cum_loop":0, "anim":0}
    
    $ setcursor = False
    #init Episode 3+++++++++++++++++++++++++++++++++++
    
    #++stats ep3++
    $ list_of_stats_ep3 = ("pf","if","main_event","tickets","dlvr", "up", "b","sabra","sabraorgasm","w","camp_girl","ui")
    $ list_of_names_stats_ep3 = {"pf":"Found panties",
    "if":"Found items",
    "up":"Delivery's phone unlocked",
    "b":"Battery is found",
    "sabra":"Sabra event",
    "sabraorgasm":"Sabra got an orgasm",
    "w":"Wendy",
    "camp_girl":"Girl from camp",
    "main_event":"Main event",
    "dlvr":"Delivery",
    "tickets":"Get festival tickets",
    "ui":"Unlocked images"}
    $ list_of_value_stats_ep3 = {"pf":0,"if":0,"up":"-","b":"-","sabra":0,"sabraorgasm":"0","w":0,"camp_girl":0,"main_event":0,"dlvr":0,"tickets":"-","ui":0}
    $ list_of_value_of_stats_ep3 = {"pf":0,"if":0,"up":"X","b":"X","sabra":0,"sabraorgasm":"5","w":0,"camp_girl":0,"main_event":0,"dlvr":0,"tickets":"X","ui":0}
    
    $ ep3_found_items = 0
    $ ep3_getfestivaltickets = False
    $ ep3_dumy_show = False
    $ sabraorgasmometr_ep3 = False
    #--stats--
    
    $ ep3_getpanty1 = "c"#dummy
    $ ep3_getpanty2 = "c" # camp girl
    $ ep3_getpanty3 = "c" #Delivery
    $ ep3_getpanty4 = "c" #wc holy
    $ ep3_getpanty5 = "c" #forest_panty
    $ ep3_getpanty6 = "c" #wc peach
    $ ep3_getpanty0r = "c"
    $ ep3_getpanty0l = "c"
    
    $ ep3_events = "c"
    $ ep3_scene_show = False
    
    
    #_sexhop
    $ ep3_hotdog_firstevent = "c"
    #$ ep3_getpanty1enabled = False
    $ ep3_ed_dialog1 = "c" #dummy sexshop
    $ ep3_ed_dialog2 = "c" #camp
    $ ep3_ed_dialog3 = "c" #sabra event
    $ ep3_ed_dialog4 = "c" 
    $ ep3_ed_dialog5 = "c" #staff only room
    $ ep3_emma_event = "c"
    $ ep3_hotdog_getfirstpanty = "c"
    $ ep3_hotdog_finder = "c"
    
    $ ep3_sabra_get_orgasm = 0
    $ ep3_sabra_counter = 0
    
    $ ep3_sabra_counterSplash = 0
    $ ep3_sabra_counterLash = 0
    $ ep3_sabra_counterFuckPussy = 0
    $ ep3_sabra_counterFuckAnal = 0
    $ ep3_sabra_counterLickPussy = 0
    $ ep3_sabra_counterLickAnal = 0
    $ ep3_sabra_counterFingerPussy = 0
    $ ep3_sabra_counterFingerAnal = 0
    $ ep3_sabra_counterPet = 0
    
    #trucks
    $ ep3_dlvr_event1 = "c"
    $ ep3_dlvr_dialog1 = "c"
    $ ep3_dlvr_dialog2 = "c"
    $ ep3_dlvr_dialog3 = "c"
    $ ep3_dlvr_found = False
    
    $ ep3_flo_dialog1 = "c"
    $ ep3_flo_dialog2 = "c"
    $ ep3_flo_dialog3 = "c"
    $ ep3_flo_event = "c"
    
    $ ep3_trucks_rand = renpy.random.randint(1,7)
    
    #camp
    $ ep3_wendy_dialog1 = "c"
    $ ep3_camp_notedlvr = "c"
    $ ep3_camp_girl = "c"
    $ ep3_getcondom = "c"
    
    #wc
    $ ep3_wc_getphone = "c"
    $ ep3_wc_peach = "c"
    $ ep3_wc_holepanty = "c"
    
    #mini games
    $ mg_foto = "fr"
    $ mg_phone_num1 = "_"
    $ mg_phone_num2 = "_"
    $ mg_phone_num3 = "_"
    $ mg_phone_num4 = "_"
    $ mg_phone_color = "#000000"
    $ mg_phone_unlocked = False
    $ mg_battery_found = False
    $ mg_phone_photo_num = 1
    
    #forest
    $ ep3_curposeforest = 0
    $ ep3_forest_pathLopen = False
    $ ep3_forest_pathRopen = False
    $ ep3_forest_kittyevent = "c"
    
    #scene
    $ muspos = 0
    $ ep3_scene_dialog1 = "c"
    $ ep3_scene_dialog2 = "c"
    $ ep3_scene_dialog3_e_and_r = "c"
    $ ep3_scene_dialog4_linda = "c"
    
    #$ bag_insideArr = []
    #init Episode 3-----------------------------------
    
    python:
    
        import math

        class Shaker(object):
        
            anchors = {
                'top' : 0.0,
                'center' : 0.5,
                'bottom' : 1.0,
                'left' : 0.0,
                'right' : 1.0,
                }
        
            def __init__(self, start, child, dist):
                if start is None:
                    start = child.get_placement()
                #
                self.start = [ self.anchors.get(i, i) for i in start ]  # central position
                self.dist = dist    # maximum distance, in pixels, from the starting point
                self.child = child
                
            def __call__(self, t, sizes):
                # Float to integer... turns floating point numbers to
                # integers.                
                def fti(x, r):
                    if x is None:
                        x = 0
                    if isinstance(x, float):
                        return int(x * r)
                    else:
                        return x

                xpos, ypos, xanchor, yanchor = [ fti(a, b) for a, b in zip(self.start, sizes) ]

                xpos = xpos - xanchor
                ypos = ypos - yanchor
                
                nx = xpos + (1.0-t) * self.dist * (renpy.random.random()*2-1)
                ny = ypos + (1.0-t) * self.dist * (renpy.random.random()*2-1)

                return (int(nx), int(ny), 0, 0)
        
        def _Shake(start, time, child=None, dist=100.0, **properties):

            move = Shaker(start, child, dist=dist)
        
            return renpy.display.layout.Motion(move,
                          time,
                          child,
                          add_sizes=True,
                          **properties)

        Shake = renpy.curry(_Shake)
        
        def _SceneShow(name):
            #if _with == "fade":
            #    return renpy.show(name) with fade
            #else:
            persistent.allimages[name] = "Yes"
            renpy.save_persistent()
            renpy.scene()
            return renpy.show(name)
        _Show = renpy.curry(_SceneShow)
        
    #
    image splash_label:
        "gui/episode.png"

    transform label_zoom:
        # xanchor 0.5 yanchor 0.5
        ease 2.0 xzoom 0.8 yzoom 0.8
        ease 2.0 xzoom 1.0 yzoom 1.0
        repeat
    
    image main_bg:
        "gui/1.jpg" with dissolve
        5.0
        "gui/2.jpg" with dissolve 
        5.0
        "gui/3.jpg" with dissolve 
        5.0
        "gui/4.jpg" with dissolve
        5.0
        "gui/5.jpg" with dissolve
        5.0
        "gui/6.jpg" with dissolve
        5.0
        "gui/7.jpg" with dissolve
        5.0
        "gui/8.jpg" with dissolve
        5.0
        "gui/9.jpg" with dissolve
        5.0
        "gui/10.jpg" with dissolve
        5.0
        repeat
        
    $ sshake = Shake((0, 0, 0, 0), 0.7, dist=15)
    $ _scene = _Show()
    

    
    
label splashscreen:
    scene blackscreen 
    call screen splashscreenconfirm(yes_action=Return(), no_action=Quit(confirm=False))
    
    return

#+++++++++++++++++++System labels
#label uiphone:
#    show screen phone
#    return
    
label uianswermap:
    "This feature will be available in the Episode 3 (answers map)."
    return
#-------------------

label start:
    $ uiphone_labelname = "contacts"
    $rachel_cum_face = False
    $ sms_list_st_open = 3
    play music "/sound/main_theme.mp3"
    jump episode1 #scrip_episode1.rpy

label gameover:
    return
#scrip_episode2.rpy
#scrip_episode3.rpy
